3dfx Tools Help

3dfx Tools Help - Voodoo4 / Voodoo5

Click on the small "+" to the left of an entry in the Table of Contents at the left to view the Topics available for that entry. Then click on a Topic to see its Help information.

Copyright © 2000 by 3dfx Interactive, Inc.

All rights reserved. No part of this publication may be reproduced by any means without prior written permission from 3dfx Interactive, Inc.

www.3dfx.com

www.3dfxgamers.com


3dfx Tools Advanced Features

3dfx Tools Advanced Features Help

Direct3D Options:

OpenGL/Glide Options
These options control the advanced 3D rendering features of the Voodoo card for your applications that use Microsoft's Direct3D API.

3D Filter Quality - The display image can be filtered by averaging pixel values. By using this overlay filter, the image quality for full-screen 3D applications can be improved. Selecting the High option will average more pixels than the Normal option, resulting in a smoother but blurrier image, while the Normal option averages fewer pixels for a sharper image. The High setting uses two adjacent horizontal pixels from a line and the two pixels on the line below (a 2x2 box filter) to create one output pixel. The Normal setting uses four adjacent samples on a line (a 4x1 linear filter) to create one output pixel.

  • Automatic - Select this option to allow your system's software to use video filtering as needed.
  • Normal - Select this option to use the 4x1 linear filter.
  • High - Select this option to use the 2x2 box filter for a sharper video image.

Alpha Blending - This is used to enable dither subtraction on the destination color during alpha blending. When dither subtraction is enabled, the dither matrix used to convert 24-bit color to 16-bit color is subtracted from the destination color before applying the alpha-blending algorithm. Enabling dither subtraction is used to enhance image quality when performing alpha-blending. This is ignored when 32-bit color rendering is selected.

  • Automatic - Select this option to allow your system's software to use dither subtraction as needed.
  • Sharper - Select this option to enable dither subtraction for a sharper image.
  • Smoother - Select this option to disable dither subtraction for a smoother image.

Anti-Aliasing (Voodoo4) - Two sub-samples are used per pixel to fill-in the jagged edges of lines and smooth the appearance of curves for a more pleasing and realistic visual image by taking multiple samples of a scene and blending them together. Enable AA to improve image quality. Disable AA to improve 3D performance.

NOTE: Anti-Aliasing (AA) options are dependant upon the specific model of the Voodoo card installed in your system, so all of the options shown here may not be available for your card. For example, the Voodoo4 card does not support 4-sample AA.

  • Single chip only (compatibility mode) - Select this option to disable AA on a Voodoo4 card for the highest possible frame rates with no Anti-Aliasing support, or if it may be required for troubleshooting or debugging purposes.
  • 2-sample AA (improved image quality) - Select this option to enable Anti-Aliasing support using 2-sample AA for the best image quality available from your Voodoo4 card.

Anti-Aliasing (Voodoo5) - Two or four sub-samples are used per pixel to fill-in the jagged edges of lines and smooth the appearance of curves for a more pleasing and realistic visual image by taking multiple samples of a scene and blending them together. Enable AA, or increase from 2-sample AA to 4-sample AA, to improve image quality. Disable AA, or reduce from 4-sample AA to 2-sample AA, to improve 3D performance.

NOTE: Anti-Aliasing (AA) options are dependant upon the specific model of the Voodoo card installed in your system, so all of the options shown here may not be available for your card.

  • Single chip only (compatibility mode) - Select this option to use only one of the VSA-100 chips on your Voodoo5 card with no AA support if it may be required for troubleshooting or debugging purposes.
  • Fastest Performance (no Anti-Aliasing) - Select this option to use both of the VSA-100 chips on your Voodoo5 card for the absolute highest possible frame rates with no Anti-Aliasing support enabled.
  • 2-sample AA (improved image quality) - Select this option to use both of the VSA-100 chips on your Voodoo5 card with 2-sample Anti-Aliasing enabled for a good balance between high performance and improved image quality.
  • 4-sample AA (best image quality) - Select this option to use both of the VSA-100 chips on your Voodoo5 card with 4-sample Anti-Aliasing enabled to provide the absolute best possible image quality from your Voodoo5 card.

Level of Detail Bias - This control changes the Level of Detail (LOD) bias used for MIP mapping. Moving the slider control will either add or subtract a bias from the LOD computed during MIP mapping, making textures appear either sharper or blurrier. Adding bias can result in improved visual detail, but may reduce performance accordingly. Also, excessive bias can result in texture aliasing.

Z-buffer Optimization - This entry enables an extension for optimizing the use of the Z-buffer. Selecting this option will allow for more effective use of the Z-buffer and may increase performance.

  • Enable – Select this option to optimize the use of the Z-buffer for improved performance in some applications.
  • Disable – Select this option if any of your applications show display problems while using the optimized Z-buffer setting.

OpenGL/Glide Options

Top

Direct3D Options
These options control the advanced 3D rendering features of the Voodoo card for your applications that use OpenGL or Glide.

3D Filter Quality - The display image can be filtered by averaging pixel values. By using this overlay filter, the image quality for full-screen 3D applications can be improved. Selecting the High option will average more pixels than the Normal option, resulting in a smoother but blurrier image, while the Normal option averages fewer pixels for a sharper image. The High setting uses two adjacent horizontal pixels from a line and the two pixels on the line below (a 2x2 box filter) to create one output pixel. The Normal setting uses four adjacent samples on a line (a 4x1 linear filter) to create one output pixel.

  • Automatic - Select this option to allow your system's software to use video filtering as needed.
  • Normal - Select this option to use the 4x1 linear filter.
  • High - Select this option to use the 2x2 box filter for a sharper video image.

Alpha Blending - This is used to enable dither subtraction on the destination color during alpha blending. When dither subtraction is enabled, the dither matrix used to convert 24-bit color to 16-bit color is subtracted from the destination color before applying the alpha-blending algorithm. Enabling dither subtraction is used to enhance image quality when performing alpha-blending. This is ignored when 32-bit color rendering is selected.

  • Automatic - Select this option to allow your system's software to use dither subtraction as needed.
  • Sharper - Select this option to enable dither subtraction for a sharper image.
  • Smoother - Select this option to disable dither subtraction for a smoother image.

Anti-Aliasing (Voodoo4) - Two sub-samples are used per pixel to fill-in the jagged edges of lines and smooth the appearance of curves for a more pleasing and realistic visual image by taking multiple samples of a scene and blending them together. Enable AA to improve image quality. Disable AA to improve 3D performance.

NOTE: Anti-Aliasing (AA) options are dependant upon the specific model of the Voodoo card installed in your system, so all of the options shown here may not be available for your card. For example, the Voodoo4 card does not support 4-sample AA.

  • Single chip only (compatibility mode) - Select this option to disable the AA capabilities of your Voodoo4 card for the highest possible frame rates with no Anti-Aliasing support, or if it may be required for troubleshooting or debugging purposes.
  • 2-sample AA (improved image quality) - Select this option to enable Anti-Aliasing support using 2-sample Anti-Aliasing for the best image quality available from your Voodoo4 card.

Anti-Aliasing (Voodoo5) - Two or four sub-samples are used per pixel to fill-in the jagged edges of lines and smooth the appearance of curves for a more pleasing and realistic visual image by taking multiple samples of a scene and blending them together. Enable AA, or increase from 2-sample AA to 4-sample AA, to improve image quality. Disable AA, or reduce from 4-sample AA to 2-sample AA, to improve 3D performance.

NOTE: Anti-Aliasing (AA) options are dependant upon the specific model of the Voodoo card installed in your system, so all of the options shown here may not be available for your card.

  • Single chip only (compatibility mode) - Select this option to use only one of the VSA-100 chips on your Voodoo5 card with no Anti-Aliasing support if it may be required for troubleshooting or debugging purposes.
  • Fastest Performance (no Anti-Aliasing) - Select this option to use both of the VSA-100 chips on your Voodoo5 card for the absolute highest possible frame rates with no Anti-Aliasing support enabled.
  • 2-sample AA (improved image quality) - Select this option to use both of the VSA-100 chips on your Voodoo5 card with 2-sample Anti-Aliasing enabled for a good balance between high performance and improved image quality.
  • 4-sample AA (best image quality) - Select this option to use both of the VSA-100 chips on your Voodoo5 card with 4-sample Anti-Aliasing enabled to provide the absolute best possible image quality from your Voodoo5 card.

Glide Splash Screen - The 3dfx Glide logo screen appears when a program starts that uses the Glide API.

  • Enable - Select this option to allow the Glide splash screen to be displayed when your Glide programs start.
  • Disable - Select this option to prevent the Glide splash screen from being displayed when your Glide programs start.

Legacy Compressed Textures - This enables an OpenGL extension for compressing legacy textures in FXT1 format. Selecting this option can provide more effective use of texture memory and may increase performance.

  • Enable - Select this option to allow legacy textures to be compressed in FXT1 format for better performance.
  • Disable - Select this option to maintain legacy textures in their original compression formats.

Level of Detail Bias - This control changes the Level of Detail (LOD) bias used for MIP mapping. Moving the slider control will either add or subtract a bias from the LOD computed during MIP mapping, making textures appear either sharper or blurrier. Adding bias can result in improved visual detail, but may reduce performance accordingly. Also, excessive bias can result in texture aliasing.

Maximum Buffered Frames - This allows you to limit the number of pending swap buffers to 0, 1, 2, or 3. A higher number of pending swap buffers can slow the system's response to input as all of the pending swap buffers are processed before the system proceeds to the next operation. Higher swaps leads to potentially higher frame rates, but at the same time increasing latency (waiting for the card to draw the frame).

MIP Map Dithering - Enabling MIP map dithering will cause the hardware to blend between pairs of MIP map levels to produce a full continuum of texture levels. This can result in much smoother texturing. However, this can also decrease performance because dithered MIP Maps cannot be multi-textured.

  • Disable - Select this option to disable MIP map dithering.
  • Enable - Select this option to enable MIP map dithering.

Rendering Color-depth - The rendering color-depth determines the number of colors available for rendering the 3D graphics. 16-bit-per-pixel, or 16bpp, produces a maximum palette of 65,536 colors, which can result in color banding or other visual anomalies in some cases. 32-bits-per-pixel, or 32bpp, can produce a palette with many millions of colors available for rendering, resulting in smoother color gradients and shading without color bands or other color-related artifacts. Setting this option to "Force 32bpp Rendering" causes older Glide applications to render using 32bpp even though they were not originally designed to support 32bpp rendering under Glide, resulting in improved image quality over 16bpp rendering.

  • Software Controlled - Select this option to allow the software to choose to render 3D graphics using either color-depth.
  • Force 32bpp Rendering - Select this option to force software to render 3D graphics using 32-bits-per-pixel for color-depth.

Triple Buffering - Enabling Triple Buffering will allocate a third frame buffer. This frame buffer can increase performance by enabling the hardware to render at the same time that the 3D application performs other tasks. However, the additional frame buffer required for this uses up video memory that could otherwise be used for storing textures. Enabling Triple Buffering could hurt the performance of your 3D applications that use a lot of textures.

  • Disable - Select this option to disable Triple Buffering.
  • Enable - Select this option to enable Triple Buffering.

Direct3D Options

Top

OpenGL/Glide Options


3dfx Tools Anti-Aliasing Help

The Anti-Aliasing (AA) options can be separately adjusted for your Direct3D and OpenGL/Glide applications. Select the button for Direct3D or OpenGL/Glide to adjust the settings for each API.

NOTE: Anti-Aliasing options are dependant upon the specific model of the Voodoo card installed in your system, so all of the options shown here may not be available for your card. For example, the Voodoo4 card does not support 4-sample AA.

Anti-Aliasing (Voodoo4) - Two sub-samples are used per pixel to fill-in the jagged edges of lines and smooth the appearance of curves for a more pleasing and realistic visual image by taking multiple samples of a scene and blending them together. Enable AA to improve image quality. Disable AA to improve 3D performance.

  • Single chip only (compatibility mode) - Select this option to disable AA on a Voodoo4 card for the highest possible frame rates with no Anti-Aliasing support, or if it may be required for troubleshooting or debugging purposes.
  • 2-sample AA (improved image quality) - Select this option to enable Anti-Aliasing support using 2-sample AA for the best image quality available from your Voodoo4 card.

Anti-Aliasing (Voodoo5) - Two or four sub-samples are used per pixel to fill-in the jagged edges of lines and smooth the appearance of curves for a more pleasing and realistic visual image by taking multiple samples of a scene and blending them together. Enable AA, or increase from 2-sample AA to 4-sample AA, to improve image quality. Disable AA, or reduce from 4-sample AA to 2-sample AA, to improve 3D performance.

  • Single chip only (compatibility mode) - Select this option to use only one of the VSA-100 chips on your Voodoo5 card with no AA support if it may be required for troubleshooting or debugging purposes.
  • Fastest Performance (no Anti-Aliasing) - Select this option to use both of the VSA-100 chips on your Voodoo5 card for the absolute highest possible frame rates with no Anti-Aliasing support enabled.
  • 2-sample AA (improved image quality) - Select this option to use both of the VSA-100 chips on your Voodoo5 card with 2-sample Anti-Aliasing enabled for a good balance between high performance and improved image quality.
  • 4-sample AA (best image quality) - Select this option to use both of the VSA-100 chips on your Voodoo5 card with 4-sample Anti-Aliasing enabled to provide the absolute best possible image quality from your Voodoo5 card.


3dfx Tools Color Help

Selections:

Controls

Gamma Settings - The controls in the "Gamma Settings" group allow you to increase or decrease the color brightness levels of your display. If your display seems too dark or too bright, move the Gamma slider controls to the left to decrease the Gamma levels or to the right to increase the Gamma levels. If you need to adjust the relative color levels for your display, then remove the check from the "Lock Gamma" slider controls to move the Gamma slider controls for each color separately (R = Red, G = Green, B = Blue). The default Gamma Setting is 1.00 for each color.

You can adjust the Gamma settings for your Windows Desktop itself, or you can separately adjust the Gamma settings to use for your Direct3D or Glide/OpenGL applications, and for Video Overlay applications like the Windows Media Player or a TV input device. Please note that any Gamma adjustments you select for your Direct3D or Glide/OpenGL applications will only be used when such programs are running in full-screen mode. Direct3D or Glide/OpenGL applications running in a window on your Desktop will use your Desktop Gamma settings.

Selection - The four options in the "Selection" group allow you to choose which set of the Voodoo card's features you want to change. When the "Desktop" option is selected, you can change the Voodoo card's Gamma Settings for your Windows desktop environment itself. Please note that this option only affects the non-3D functions of Microsoft's DirectX. Use the "Direct3D" option to change the settings for Microsoft's DirectX. Use the "Glide / OpenGL" option to adjust the settings for your programs that use either of those 3D API's.

  • Desktop - Use this option to adjust the Gamma Settings, Contrast, or Brightness for your Windows Desktop (non-3D) applications.
  • Direct3D - This option allows you to change the Gamma Settings for your Direct3D applications (when run in full-screen mode).
  • Glide / OpenGL - This option allows you to change the Gamma Settings for your Glide and OpenGL applications (when run in full-screen mode).
  • Video Overlay - Select this option to change the Gamma Settings, Contrast, or Brightness for your Video Overlay applications.

Controls:

Top

Selections

Display Customization - Use the controls in this section to create a set of customized display settings for your Windows Desktop, save them as a group under a name of your choice, and then select from among the saved configurations shown in the "Color Scheme:" drop-down selection box. This option is only available for use with the "Desktop" settings.

Contrast - This option allows you to change the contrast for your display by clicking on the "+" and "-" buttons. The Contrast controls are only available for use in the "Desktop" and "Video Overlay" settings.

Brightness - This option allows you to change the brightness for your display by clicking on the "+" and "-" buttons. The Brightness controls are only available for use in the "Desktop" and "Video Overlay" settings.

Reset to Previous - Click this button to undo any changes you have made to the options for the current selection (Desktop, Direct3D, or Glide / OpenGL).

Factory Defaults - Click this button to restore the original factory default values for the currently selected option.

Load Bitmap - Click this button to select a bitmap from your system to use for the Gamma display shown in the monitor on the page.

Selections

Controls


3dfx Tools Info Help

Click on the small "+" to the left of an entry to view the details for that item. The information available for your Voodoo card includes:

  • Bus Type (AGP or PCI)
  • Optional Outputs (DVI or TV Out, if supported by your 3dfx card)
  • Total Video Memory
  • Graphics Chips (the number of VSA-100 chips on your 3dfx card)
  • Graphics Clock Speed
  • BIOS Version

Information about the Display Driver that you are currently using is also shown, as well as the 3dfx Tools Version currently installed on your system. Other items listed on this page give you access to information about the current and previous display adapters and monitors you have used with your system.

Save - Allows you to save the information on this page in a standard text file (.TXT) or in an HTML file (.HTM).

Print - Allows you to print the information on this page to your system's default printer, if you have a printer connected to your computer.


3dfx Tools Manager

Display card selection box (multi-monitor systems only) - If you are using a multi-monitor configuration in your computer, then you will need to use the drop-down selection box in the 3dfx Tools Manager to choose the 3dfx Voodoo card in order to modify its 3dfx Tools configuration options.

3dfx Tools Status list - Each of the 3dfx Tools supported by the current display card are listed here. A check in the checkbox for each of the tools causes the properties page for that tool to be included in the 3dfx Tools Hub and in the Windows "Advanced Properties" dialog box. Removing the check form the checkbox removes the corresponding 3dfx Tools page from both the 3dfx Tools Hub and the Windows "Advanced Properties" dialog box.

TaskMan icon checkbox - A check in this checkbox causes the 3dfx Tools TaskMan icon to appear in the System Tray area of your Windows Taskbar each time your system restarts. Removing the check form this checkbox prevents the 3dfx Tools TaskMan icon from loading when your system restarts.